import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;

import javax.swing.*;

public class Paint implements MouseMotionListener, MouseListener{
	
	JFrame mainFrame;
	JPanel mainPanel;
	JPanel drawingPanel;
	JPanel buttonsPanel;
	JButton clearButton;
	
	boolean onPaint = false;
	int x_prec;
	int y_prec;
	
	public Paint()
	{
		initializeControls();
	}
	
	private void initializeControls(){
		mainFrame = new JFrame("Dessin");
		mainFrame.setSize(400, 300);
		mainFrame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		mainPanel = new JPanel(new BorderLayout());
		drawingPanel = new JPanel();
		drawingPanel.setBackground(Color.WHITE);
		buttonsPanel = new JPanel();
		mainFrame.getContentPane().add(mainPanel);
		mainPanel.add(drawingPanel, BorderLayout.CENTER);
		mainPanel.add(buttonsPanel, BorderLayout.PAGE_END);
		clearButton = new JButton();
		clearButton.setText("Effacer");
		buttonsPanel.add(clearButton);
		mainFrame.setVisible(true);
		
		drawingPanel.addMouseMotionListener(this);
		drawingPanel.addMouseListener(this);
		
		clearButton.addActionListener(new ActionListener(){ //local inner class
			@Override
			public void actionPerformed(ActionEvent e) {
				drawingPanel.repaint();
			}		
		});		
	}

	@Override
	public void mousePressed(MouseEvent arg0) {
		x_prec = arg0.getX();
		y_prec = arg0.getY();
		
	}
	
	@Override
	public void mouseDragged(MouseEvent e) {
		Graphics g = drawingPanel.getGraphics();
		g.drawLine(x_prec, y_prec, e.getX(), e.getY());
		x_prec = e.getX();
		y_prec = e.getY();
		g.dispose();		
	}

	@Override
	public void mouseMoved(MouseEvent e) {

	}

	@Override
	public void mouseClicked(MouseEvent arg0) {

		
	}

	@Override
	public void mouseEntered(MouseEvent arg0) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void mouseExited(MouseEvent arg0) {
		// TODO Auto-generated method stub
		
	}



	@Override
	public void mouseReleased(MouseEvent arg0) {
		
	}

}
